### Method

# Snapd App get_snap

since: 1.25

#### Declaration [src]

    const gchar*
    snapd_app_get_snap (
      SnapdApp* app
    )

#### Description [src]

Get the snap this app is associated with.

Available since: 1.25

Gets property | `Snapd.App:snap`

#### Return value

Type: `const gchar*`

A snap name.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.